Skip to main content

assetScansCount

Returns the amount of assets with and without scans

assetScansCount(
companyId: ID!
): AssetScansCount!

Arguments​

assetScansCount.companyId ● ID! non-null scalar​

Type​

AssetScansCount object​

Statistics about assets with and without scans

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetAssetScansCount($companyId: ID!) {\n assetScansCount(companyId: $companyId) { assetsWithoutScans assetsWithScans consideredScans }\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute